org.codehaus.groovy.control.customizers.builder

## Interface PostCompletionFactory

All Known Implementing Classes:
  CustomizersFactory, InlinedASTCustomizerFactory, SourceAwareCustomizerFactory

    public interface PostCompletionFactory

A helper interface for factories which require post processing of generated nodes.

Since:
  2.1.0
Author:
  Cedric Champeau

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `postCompleteNode(FactoryBuilderSupport factory, java.lang.Object parent, java.lang.Object node)`

### Method Detail

#### postCompleteNode

    java.lang.Object postCompleteNode(FactoryBuilderSupport factory,
                                      java.lang.Object parent,
                                      java.lang.Object node)